﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.SilverlightMediaFramework.Logging;
using Microsoft.SilverlightMediaFramework;

namespace SMFPlayerTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Logger.LogReceived += 
                new EventHandler<SimpleEventArgs<Log>>(Logger_LogReceived);

            Logger.Log(new DebugLog { Message = "Listening!", Sender = this }); 
        }

        void Logger_LogReceived(object sender, SimpleEventArgs<Log> e)
        {
            if (e.Result.Message.Contains("OnApplyTemplate"))
            {
                return;
            }
        }

        private void handleButtonClick(Button btn)
        {
            if (btn != null)
            {
                Uri redirectUrl = (Uri)btn.Tag;
                myPlayer.MediaElement.SmoothStreamingSource = redirectUrl;
            }
        }

        private void Button1_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            handleButtonClick(sender as Button); 
        }

        private void Button2_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            handleButtonClick(sender as Button); 
        }

        private void Button3_Click(object sender, System.Windows.RoutedEventArgs e)
        {
           	handleButtonClick(sender as Button);  
        }
    }
}
